Bug 7574 - [UPDATE REQUEST] dracut 044 (git rev. e35d145)
: [UPDATE REQUEST] dracut 044 (git rev. e35d145)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-11 21:36 MSK by Eugene Shatokhin
Modified: 2017-01-20 13:15 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
rosa2014.1 GNOME ISO dracut ext3 issue (15.57 KB, image/png)
2017-01-20 06:03 MSK, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-12-11 21:36:46 MSK
Upstream update with improved support for the newer kernels and more.
Comment 1 Eugene Shatokhin 2016-12-11 21:39:13 MSK
Advisory:
Dracut was updated to version 044 with additional patches from upstream git (rev. e35d145) and our fixes. This update provides many improvements and fixes all-around, including, but not limited to, better integration with systemd and support for newer kernels.


Build lists:
https://abf.io/build_lists/2776704
https://abf.io/build_lists/2776707
Comment 2 Vladimir Potapov 2016-12-13 20:47:33 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2017-01-02 14:14:54 MSK
dracut-044-20161111git.5
https://abf.io/build_lists/2776704
https://abf.io/build_lists/2776707
*************************** Advisory *****************************
Dracut was updated to version 044 with additional patches from upstream git (rev. e35d145) and our fixes. This update provides many improvements and fixes all-around, including, but not limited to, better integration with systemd and support for newer kernels.
******************************************************************
QA Verified
Comment 4 Andrey Bondrov 2017-01-20 06:03:07 MSK
Created attachment 4580 [details]
rosa2014.1 GNOME ISO dracut ext3 issue

Today I tried to install recent rosa2014.1 GNOME ISO but it failed to boot because of "mount: unknown filesystem type 'ext3'" error.

https://abf.rosalinux.ru/platforms/rosa2014.1/products/104/product_build_lists/17528
Comment 5 Andrey Bondrov 2017-01-20 06:05:56 MSK
Can we keep ext3 module in dracut?
Comment 6 Eugene Shatokhin 2017-01-20 11:48:17 MSK
(In reply to comment #5)
> Can we keep ext3 module in dracut?

There is no ext3 module in the system with kernel 4.2 and newer, nothing to keep. If we force dracut to include ext3 there, it will whine each time and that already scared our users.

The real problem seems to be in build_gnome_desktop_ee and should be fixed there.

First, the adjustments I made in build_kde_desktop_ee should be included into build_gnome_desktop_ee as well. 

As for the images with kernel 4.1, we can adjust the dracut config used when the image is built to force inclusion of ext3, in .ks_template.
Comment 7 Eugene Shatokhin 2017-01-20 12:03:03 MSK
There are two options for rosa2014.1 with ext3:

1. Either patch .ks.template like this to force inclusion of ext3 module there:
--------------
diff --git a/.ks.template b/.ks.template
index 67b94aa..6a71d44 100644
--- a/.ks.template
+++ b/.ks.template
@@ -257,6 +257,7 @@ fi
 echo 'hostonly="no"' >> $ISOBUILD_CONF
 echo 'add_dracutmodules+=" dmsquash-live pollcdrom "' >> $ISOBUILD_CONF
 echo 'omit_dracutmodules+=" aufs-mount "' >> $ISOBUILD_CONF
+echo 'add_drivers+=" ext3 "' >> $ISOBUILD_CONF
 
 # Print the configuration files to be used, to simplify debugging.
 pushd "$ISOBUILD_CONF_DIR"
--------------

But then we'll have to revert that commit if/when we move to kernel 4.2+ there otherwise the ISOs will fail to build.

2. ext3 is now built as module in the kernel 4.1. I could prepare a kernel update so that ext3 is built-in - there will be no need to meddle with ext3 in dracut, etc.

I'd go for (2).
Comment 8 Andrey Bondrov 2017-01-20 13:15:11 MSK
Yes, let's go with #2 for rosa2014.1.